Method: buyers.clients.users.activate
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
The activate method is used to change the state of a client user from "INACTIVE" to "ACTIVE".
The HTTP request uses a POST method with a specific URL format including buyer, client, and user IDs.
The request body must be empty, and a successful response will contain a ClientUser instance.
The activation process requires the https://www.googleapis.com/auth/authorized-buyers-marketplace authorization scope.
Activates an existing client user. The state of the client user will be updated from "INACTIVE" to "ACTIVE". This method has no effect if the client user is already in "ACTIVE" state. An error will be returned if the client user to activate is still in "INVITED" state.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1/{name=buyers/*/clients/*/users/*}:activate
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
name
string
Required. Format: buyers/{buyerAccountId}/clients/{clientAccountId}/clientUsers/{userId}
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ClientUser .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]